DUMPE2FS(8)

NUME
dumpe2fs - afișează informații despre sistemul de fișiere ext2/ext3/ext4

REZUMAT
dumpe2fs [ -bfghixV ] [ -o superblock=super-bloc ] [ -o blocksize=dimensiune-bloc ] dispozitiv

DESCRIERE
dumpe2fs afișează informațiile despre super-blocul și grupul de blocuri pentru sistemul de fișiere prezent pe dispozitiv.

Notă: Atunci când se utilizează cu un sistem de fișiere montat, informațiile afișate pot fi vechi sau incoerente.

OPȚIUNI

-b  afișează blocurile care sunt rezervate ca fiind defectuoase în sistemul de fișiere.

-o superblock=super-bloc
    utilizează blocul super-bloc atunci când examinează sistemul de fișiere. Această opțiune nu este de obicei necesară decât pentru un expert în sisteme de fișiere care examinează rămășițele unui sistem de fișiere foarte grav corupt.

-o blocksize=dimensiune-bloc
    utilizează blocuri de dimensiune-bloc octeți atunci când examinează sistemul de fișiere. Această opțiune nu este de obicei necesară decât pentru un expert în sisteme de fișiere care examinează rămășițele unui sistem de fișiere foarte grav corupt.

-f  forțează «dumpe2fs» să afișeze un sistem de fișiere, chiar dacă acesta poate avea unele fanioane de caracteristici ale sistemului de fișiere pe care «dumpe2fs» nu le înțelege (și care pot face ca unele dintre afișările lui «dumpe2fs» să fie suspecte).

-g  afișează informațiile despre descriptorul de grup într-un format de valori separate prin două puncte care poate fi citit de mașină. Câmpurile afișate sunt: numărul grupului; numărul primului bloc din grup; locația super-blocului (sau -1 dacă nu este prezent); intervalul de blocuri utilizat de descriptorii de grup (sau -1 dacă nu este prezent); locația hărții de biți a blocurilor; locația hărții de biți a nodurilor-i; și intervalul de blocuri utilizat de tabelul de noduri-i.

-h  afișează numai informațiile despre super-bloc și nu și informațiile detaliate despre descriptorii de grupuri de blocuri.

-i  afișează datele sistemului de fișiere dintr-un fișier imagine creat de e2image, utilizând dispozitiv ca nume de rută către fișierul imagine.

-m  Dacă caracteristica mmp este activată pe sistemul de fișiere, verifică dacă dispozitivul este utilizat de un alt nod (mașină), consultați e2mmpstatus(8) pentru detalii complete. Dacă se utilizează împreună cu opțiunea -i, se afișează numai informațiile despre blocul MMP.

-x  afișează informații detaliate despre grupurile de blocuri cu numere în format hexazecimal

-V  afișează numărul versiunii de dumpe2fs și iese.

COD DE IEȘIRE
dumpe2fs iese cu un cod de ieșire 0 dacă operațiunea s-a încheiat fără erori. Va ieși cu un cod de ieșire diferit de zero în cazul în care există erori, cum ar fi probleme la citirea unui super-bloc valid, sume de control necorespunzătoare sau dacă dispozitivul este utilizat de un alt nod (mașină) și este specificată opțiunea -m.

ERORI
Este posibil să fie necesar să cunoașteți structura fizică a sistemului de fișiere pentru a înțelege rezultatul.

AUTOR
dumpe2fs a fost scris de Remy Card <Remy.Card@linux.org>. În prezent, este întreținut de Theodore Ts'o <tytso@alum.mit.edu>.

DISPONIBILITATE
e2label face parte din pachetul „e2fsprogs” și este disponibil la http://e2fsprogs.sourceforge.net.

CONSULTAȚI ȘI
e2fsck(8), e2mmpstatus(8), mke2fs(8), tune2fs(8). ext4(5)

TRADUCERE
Traducerea în limba română a acestui manual a fost creată de Remus-Gabriel Chelu <remusgabriel.chelu@disroot.org>

Această traducere este documentație gratuită; citiți Licența publică generală GNU Versiunea 3 (https://www.gnu.org/licenses/gpl-3.0.html) sau o versiune ulterioară cu privire la condiții privind drepturile de autor. NU se asumă Nicio RESPONSABILITATE.

Dacă găsiți erori în traducerea acestui manual, vă rugăm să trimiteți un e-mail la translation-team-ro@lists.sourceforge.net.